// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

module Module
{

interface Base1 { };
interface Base2 { };
interface Base3 { };

interface Interface : Base1, Base2, Base3
{
    void method1();
    void method2();
    void method3();

    attribute long attribute1;
    attribute long attribute2;
    attribute long attribute3;
};

};
